kr.co.hanwha.hifive.screen.alarm

## Interface AlarmContract.Presenter

- All Superinterfaces:
    BasePresenter
  All Known Implementing Classes:
    AlarmPresenter
  Enclosing interface:
    AlarmContract

      public static interface AlarmContract.Presenter
      extends BasePresenter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alarmClicked(int index, AlarmData data)`
    `void` | `initData(boolean needLoading)` Initialize data
    `void` | `loadData(boolean needLoading)` Load more
    `void` | `loadMore()` ...

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

      `detachView, getContext`

- - ### Method Detail

    - #### initData

          void initData(boolean needLoading)

      Initialize data

    - #### loadData

          void loadData(boolean needLoading)

      Load more

    - #### loadMore

          void loadMore()

      ...

    - #### alarmClicked

          void alarmClicked(@NonNull
                            int index,
                            @NonNull
                            AlarmData data)